#include "mc30p6240.inc"

   	org 0x00

   	goto start

start:
   	bclr   	CPPIS

   	bclr   	CPNIS0
   	bset   	CPNIS1
   	bclr   	CPNIS2
   	bset   	CPNIS3

   	bset       	CMPEN

   	nop
   	nop
   	nop

   	movai               0x00
   	movra               DDR1 
   	movai               0x00
   	movra               P1     	
  	   	
   	movra P1KBCR
   	nop

   	goto loop

loop:
   	
   	movai  	0xff
   	XORRA  	P1
   	goto loop



   	end